import MonitorSpec from "./MonitorSpec";
import BigNumber from "bignumber.js";
import EventFilter from "./EventFilter";
import BlockNotification from "../../data/Formatter/BlockNotification";
export default class BlockMonitorSpec implements MonitorSpec {
    readonly height: BigNumber;
    readonly eventFilters?: EventFilter[];
    readonly logs?: boolean;
    constructor(height: BigNumber, eventFilters?: EventFilter[], logs?: boolean);
    getPath(): string;
    getParam(): object;
    getConverter(): (data: any) => BlockNotification;
}
